## org.apache.batik.dom.svg
Interface ListHandler

All Known Implementing Classes:
  AbstractSVGList.ListBuilder

public interface ListHandler

Interface that defines the functionnality of a list handler for the parser of attributes that are list. The attribute parser should use this interface in order to create the list representing the values of the attribute.

Method Summary
`void` `endList()` Indicates that the parser ends generating the list
`void` `item(SVGItem item)` Indicates a new item to add to the list.
`void` `startList()` Indicates that the parser starts generating the list

Method Detail

### startList

    public void startList()

  Indicates that the parser starts generating the list

### item

    public void item(SVGItem item)

  Indicates a new item to add to the list.

  Parameters:
    `item` - the new item to be added

### endList

    public void endList()

  Indicates that the parser ends generating the list

Copyright © 2004 Apache Software Foundation. All Rights Reserved.